Skip to main content
GET
Product videos and LIVEs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

productId
string
required

TikTok product id.

Pattern: ^[0-9]{1,32}$

Query Parameters

start_date
string<date>
required

Window start, YYYY-MM-DD INCLUSIVE (the shop region's local day).

end_date
string<date>
required

Window end, YYYY-MM-DD INCLUSIVE. At most 31 days including both ends.

type
enum<string>
default:all

video, live, or all (default).

Available options:
all,
video,
live
limit
integer
default:50

Contents returned, 1 to 200 (default 50), top by GMV.

Required range: 1 <= x <= 200
organization_id
integer

Use the TikTok Shop of this child brand (organization id) of your API key's organization

Response

Contents GMV-descending.

shopId
string
productId
string
startDate
string<date>
endDate
string<date>
total
integer

Contents that sold the product in the window, before the limit.

contents
object[]